Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509.extension
Class AuthorityKeyIdentifierStructure

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.AuthorityKeyIdentifier
                  |
                  +--org.bouncycastle.x509.extension.AuthorityKeyIdentifierStructure

All Implemented Interfaces:
  DEREncodable

public class AuthorityKeyIdentifierStructure
extends AuthorityKeyIdentifier

A high level authority key identifier.

Constructor Summary
`AuthorityKeyIdentifierStructure(byte[] encodedValue)` Constructor which will take the byte[] returned from getExtensionValue()
`AuthorityKeyIdentifierStructure(java.security.PublicKey pubKey)` Create an AuthorityKeyIdentifier using just the hash of the public key.
`AuthorityKeyIdentifierStructure(java.security.cert.X509Certificate certificate)` Create an AuthorityKeyIdentifier using the passed in certificate's public key, issuer and serial number.

Methods inherited from class org.bouncycastle.asn1.x509.AuthorityKeyIdentifier
`getAuthorityCertIssuer, getAuthorityCertSerialNumber, getInstance, getInstance, getKeyIdentifier, toASN1Object, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorityKeyIdentifierStructure

    public AuthorityKeyIdentifierStructure(byte[] encodedValue)
                                    throws java.io.IOException

  Constructor which will take the byte[] returned from getExtensionValue()
  Parameters:
    `encodedValue` - a DER octet encoded string with the extension structure in it.
  Throws:
    `java.io.IOException` - on parsing errors.

### AuthorityKeyIdentifierStructure

    public AuthorityKeyIdentifierStructure(java.security.cert.X509Certificate certificate)
                                    throws java.security.cert.CertificateParsingException

  Create an AuthorityKeyIdentifier using the passed in certificate's public key, issuer and serial number.
  Parameters:
    `certificate` - the certificate providing the information.
  Throws:
    `java.security.cert.CertificateParsingException` - if there is a problem processing the certificate

### AuthorityKeyIdentifierStructure

    public AuthorityKeyIdentifierStructure(java.security.PublicKey pubKey)
                                    throws java.security.InvalidKeyException

  Create an AuthorityKeyIdentifier using just the hash of the public key.
  Parameters:
    `pubKey` - the key to generate the hash from.
  Throws:
    `java.security.InvalidKeyException` - if there is a problem using the key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD